﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain
{
    public class Subject
    {
        public int SubjectId { get; set; }

        [MaxLength(length: 128)]
        public string SubjectName { get; set; }

        // use virtual to allow EF lazy loading
        public virtual List<Course> Courses { get; set; } = new List<Course>();

    }
}



