﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;

namespace Interfaces
{
    public interface IUow
    {
        ISubjectRepository Subjects { get; }
        IRepository<Person> Persons { get; }
        IRepository<Course> Courses { get; }

        // uow most important feature - atomic save
        int SaveChanges();
    }
}
